summaryrefslogtreecommitdiffstats
path: root/source/a/quota
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/quota')
-rwxr-xr-xsource/a/quota/quota.SlackBuild10
-rw-r--r--source/a/quota/quota.lwrap.needs.lnsl.diff16
2 files changed, 13 insertions, 13 deletions
diff --git a/source/a/quota/quota.SlackBuild b/source/a/quota/quota.SlackBuild
index 6c47e141b..ad67fc30d 100755
--- a/source/a/quota/quota.SlackBuild
+++ b/source/a/quota/quota.SlackBuild
@@ -23,8 +23,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=quota
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -81,8 +81,8 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
-cd $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
+cd $PKGNAM-$VERSION || exit 1
zcat $CWD/quota.lwrap.needs.lnsl.diff.gz | patch -p1 --verbose || exit 1
@@ -104,7 +104,7 @@ CFLAGS="$SLKCFLAGS" \
--mandir=/usr/man \
--infodir=/usr/info \
--disable-static \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
# Build and install:
make $NUMJOBS || make || exit 1
diff --git a/source/a/quota/quota.lwrap.needs.lnsl.diff b/source/a/quota/quota.lwrap.needs.lnsl.diff
index eaaecf286..26792bd1b 100644
--- a/source/a/quota/quota.lwrap.needs.lnsl.diff
+++ b/source/a/quota/quota.lwrap.needs.lnsl.diff
@@ -1,11 +1,11 @@
---- ./configure.ac.orig 2015-12-18 08:00:34.000000000 -0600
-+++ ./configure.ac 2015-12-27 18:44:30.768289611 -0600
-@@ -167,7 +167,7 @@
- ])
- ])
- AS_IF([test "x$build_libwrap" != "xno"], [
+--- ./configure.ac.orig 2018-11-08 15:30:51.834366741 -0600
++++ ./configure.ac 2018-11-08 15:31:25.275363974 -0600
+@@ -170,7 +170,7 @@
+ AS_IF([test "x$enable_libwrap" != "xno"], [
+ AC_CHECK_HEADER([tcpd.h], [
+ build_libwrap="yes"
- WRAP_LIBS="-lwrap"
-+ WRAP_LIBS="-lwrap -lnsl"
++ WRAP_LIBS="-lwrap -lnsl"
AC_DEFINE([HOSTS_ACCESS], 1, [Use hosts.allow and hosts.deny for access checking of rpc.rquotad])
COMPILE_OPTS="$COMPILE_OPTS HOSTS_ACCESS"
- ])
+ ], [